com.groupdocs.conversion.converter.option

## Class WordsSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.WordsSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class WordsSaveOptions
      extends SaveOptions

  Options for to Word conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WordsSaveOptions.WordsFileType` Words file types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordsSaveOptions()` Create WordsSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_WordsSaveOptions_New()` The desired file type to which the input document should be converted to
    `double` | `getDpi()` Desired page DPI after conversion.
    `int` | `getHeight()` Desired page height after conversion
    `String` | `getPassword()` Set this property if you want to protect the converted document with a password
    `com.groupdocs.conversion.converter.option.RtfOptions` | `getRtfOptions()` RTF specific convert options
    `int` | `getWidth()` Desired page width after conversion
    `void` | `setConvertFileType_WordsSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setDpi(double value)` Desired page DPI after conversion.
    `void` | `setHeight(int value)` Desired page height after conversion
    `void` | `setPassword(String value)` Set this property if you want to protect the converted document with a password
    `void` | `setRtfOptions(com.groupdocs.conversion.converter.option.RtfOptions value)` RTF specific convert options
    `void` | `setWidth(int value)` Desired page width after conversion

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getCadOptions, getConvertFileType, getConvertFileTypeExtension, getConvertPages, getCustomName, getHideComments, getHidePdfAnnotations, getHideWordComments, getHideWordTrackedChanges, getNumPagesToConvert, getOutputType, getPageMode, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setCadOptions, setConvertFileType, setConvertPages, setCustomName, setHideComments, setHidePdfAnnotations, setHideWordComments, setHideWordTrackedChanges, setNumPagesToConvert, setOutputType, setPageMode, setPageNumber, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordsSaveOptions

          public WordsSaveOptions()

      Create WordsSaveOptions instance

  - ### Method Detail

    - #### getConvertFileType_WordsSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_WordsSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_WordsSaveOptions_New

          public void setConvertFileType_WordsSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getWidth

          public int getWidth()

      Desired page width after conversion

      Returns:

    - #### setWidth

          public void setWidth(int value)

      Desired page width after conversion

      Parameters:
        `value` -

    - #### getHeight

          public int getHeight()

      Desired page height after conversion

      Returns:

    - #### setHeight

          public void setHeight(int value)

      Desired page height after conversion

      Parameters:
        `value` -

    - #### getDpi

          public double getDpi()

      Desired page DPI after conversion. The default resolution is: 96dpi

      Returns:

    - #### setDpi

          public void setDpi(double value)

      Desired page DPI after conversion. The default resolution is: 96dpi

      Parameters:
        `value` -

    - #### getPassword

          public String getPassword()

      Set this property if you want to protect the converted document with a password

      Returns:

    - #### setPassword

          public void setPassword(String value)

      Set this property if you want to protect the converted document with a password

      Parameters:
        `value` -

    - #### getRtfOptions

          public com.groupdocs.conversion.converter.option.RtfOptions getRtfOptions()

      RTF specific convert options

      Returns:

    - #### setRtfOptions

          public void setRtfOptions(com.groupdocs.conversion.converter.option.RtfOptions value)

      RTF specific convert options

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.